	.386
	.model	use32 small

	public	_cosl
	extrn	trigerrl : proc

	.data
nm	db	"cosl",0

	.code
_cosl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	tbyte ptr [ecx]
	fcos
	lea	eax,[nm]
	call	trigerrl
	leave
	ret
	end